summaryrefslogtreecommitdiffstats
path: root/bin/ebuild-helpers/dolib
diff options
context:
space:
mode:
Diffstat (limited to 'bin/ebuild-helpers/dolib')
-rwxr-xr-xbin/ebuild-helpers/dolib8
1 files changed, 4 insertions, 4 deletions
diff --git a/bin/ebuild-helpers/dolib b/bin/ebuild-helpers/dolib
index 821e1321e..87ade425a 100755
--- a/bin/ebuild-helpers/dolib
+++ b/bin/ebuild-helpers/dolib
@@ -1,5 +1,5 @@
#!/bin/bash
-# Copyright 1999-2006 Gentoo Foundation
+# Copyright 1999-2010 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
source "${PORTAGE_BIN_PATH:-/usr/lib/portage/bin}"/isolated-functions.sh
@@ -16,11 +16,11 @@ libdir="${D}${DESTTREE}/${CONF_LIBDIR}"
if [[ $# -lt 1 ]] ; then
- helpers_die "$0: at least one argument needed"
+ helpers_die "${0##*/}: at least one argument needed"
exit 1
fi
if [[ ! -d ${libdir} ]] ; then
- install -d "${libdir}" || { helpers_die "$0: failed to install ${libdir}"; exit 1; }
+ install -d "${libdir}" || { helpers_die "${0##*/}: failed to install ${libdir}"; exit 1; }
fi
ret=0
@@ -39,5 +39,5 @@ for x in "$@" ; do
((ret|=$?))
done
-[[ $ret -ne 0 ]] && helpers_die "$0 failed"
+[[ $ret -ne 0 ]] && helpers_die "${0##*/} failed"
exit ${ret}